{
    "name": "@lordoftheflies/paspartu-uaac-application",
    "version": "1.0.0",
    "description": "Application layer for User Access and Account Control",
    "main": "index.ts",
    "author": "lordoftheflies",
    "license": "MIT",
    "private": false,
    "devDependencies": {
        "@types/chai": "^4.3.1",
        "@types/chai-http": "^4.2.0",
        "@types/inversify": "^2.0.33",
        "@types/inversify-express-utils": "^2.0.0",
        "@types/inversify-inject-decorators": "^2.0.0",
        "@types/mocha": "^9.1.1",
        "@types/morgan": "^1.9.3",
        "@types/node": "^17.0.35",
        "@types/sinon": "^10.0.11",
        "@types/swagger-ui-express": "^4.1.3",
        "chai": "^4.3.6",
        "chai-http": "^4.3.0",
        "concurrently": "^7.2.1",
        "mocha": "^10.0.0",
        "nodemon": "^2.0.16",
        "sinon": "^14.0.0"
    },
    "scripts": {
        "build": "yarn tsoa:build && tsc",
        "nodemon": "cross-env PATH=$(yarn bin):$PATH concurrently \"nodemon\" \"nodemon -x tsoa spec-and-routes\"",
        "start": "node ./dist/index.js",
        "dev": "ts-node ./src/index.ts",
        "clean": "if [ -d ./dist ]; then rm -rf ./dist; fi",
        "test": "mocha",
        "lint": "tslint-config-prettier-check ./tslint.json",
        "format": "prettier --write --ignore-unknown ./src",
        "typeorm": "typeorm-ts-node-commonjs",
        "tsoa:build": "tsoa spec-and-routes",
        "openapi:copy-qa": "sh -c 'if [ -f ./src/swagger.json ]; then cp ./src/swagger.json /home/lordoftheflies/Documents/cherubits/paspartu-qa/openapi/paspartu-application-openapi.json; fi'"
    },
    "publishConfig": {
        "registry": "https://gitlab.com/api/v4/projects/34200835/packages/npm/"
    },
    "files": [
        "dist/"
    ],
    "dependencies": {
        "@lordoftheflies/paspartu-core": "^0.0.2",
        "@lordoftheflies/paspartu-uaac-domain": "^1.0.0",
        "@lordoftheflies/paspartu-uaac-infrastructure": "^1.0.0",
        "@types/date-fns": "^2.6.0",
        "@types/express": "^4.17.13",
        "@types/jsonwebtoken": "^8.5.8",
        "@types/morgan": "^1.9.3",
        "date-fns": "^2.28.0",
        "express": "^4.18.1",
        "inversify": "^6.0.1",
        "inversify-express-utils": "^6.4.3",
        "inversify-inject-decorators": "^3.1.0",
        "jsonwebtoken": "^8.5.1",
        "morgan": "^1.10.0",
        "pg": "^8.7.3",
        "reflect-metadata": "^0.1.13",
        "swagger-ui-express": "^4.4.0",
        "ts-node": "^10.8.0",
        "tsoa": "^4.1.0",
        "typeorm": "^0.3.6",
        "typescript": "^4.7.2",
        "winston": "^3.7.2"
    }
}
